﻿@using CapexIdentity.Entities
@model LoginInfo
@{
    ViewBag.Title = "Sistema de Gestión de Iniciativas CAPEX";
}
@{
    Layout = null;
}
<!DOCTYPE html>
<html lang="en" class=" js flexbox flexboxlegacy canvas canvastext webgl no-touch geolocation postmessage websqldatabase indexeddb hashchange history draganddrop websockets rgba hsla multiplebgs backgroundsize borderimage borderradius boxshadow textshadow opacity cssanimations csscolumns cssgradients cssreflections csstransforms csstransforms3d csstransitions fontface no-generatedcontent video audio localstorage sessionstorage webworkers applicationcache svg inlinesvg smil svgclippaths">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
    <title>@ViewBag.Title</title>
    <meta content="CAPEX" name="description">
    <meta content="AMSA S.A." name="author">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link href="Content/bootstrap.min.css" rel="stylesheet" type="text/css">
    <link href="Content/toastr.min.css" rel="stylesheet" />
    <link href="Content/icons.css" rel="stylesheet" type="text/css">
    <link href="Content/site.css" rel="stylesheet" type="text/css">
    <link href="fonts/css/all.css" rel="stylesheet" />
</head>
<body>
    <div id="stars"></div>
    <div id="stars2"></div>
    <!-- Navigation Bar-->
    <header id="topnav">
        <div class="topbar-main">
            <div class="container-fluid">
                <!-- Logo container-->
                <div class="logo" style="margin-top:0px;">
                    <a href="#" class="logo">
                        <img src="Content/logos/logo.png" border="0" height="45" style="margin-top:0px;" />
                    </a>
                </div>
                <!--System Bar-->
                @Html.Partial("_SystemBar")
                <!--Fin System Bar-->
               

                <div class="menu-extras topbar-custom">
                    <ul class="list-inline float-right mb-0 ">

                        <li class="list-inline-item dropdown notification-list ml-2">
                            <a class="nav-link dropdown-toggle arrow-none waves-effect waves-light" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                <i class="fa fa-inbox"></i>
                                <span class="badge badge-success heartbit">5</span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right dropdown-arrow dropdown-menu-lg">
                                <!-- item-->
                                <div class="dropdown-item noti-title align-self-center">
                                    <h5><span class="badge badge-danger float-right">5</span>Messages</h5>
                                </div>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <div class="notify-icon"><img src="Scripts/avatar-2.jpg" alt="user-img" class="img-fluid rounded-circle"> </div>
                                    <p class="notify-details"><b>Charles M. Jones</b><small class="text-secondary">Dummy text of the printing and typesetting industry.</small></p>
                                </a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <div class="notify-icon"><img src="Scripts/avatar-3.jpg" alt="user-img" class="img-fluid rounded-circle"> </div>
                                    <p class="notify-details"><b>Thomas J. Mimms</b><small class="text-secondary">You have 87 unread messages</small></p>
                                </a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <div class="notify-icon"><img src="Scripts/avatar-4.jpg" alt="user-img" class="img-fluid rounded-circle"> </div>
                                    <p class="notify-details"><b>Luis M. Konrad</b><small class="text-secondary">It is a long established fact that a reader will</small></p>
                                </a>
                                <div class="dropdown-divider"></div>
                                <!-- All-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    View All
                                </a>
                            </div>
                        </li>
                        <li class="list-inline-item dropdown notification-list">
                            <a class="nav-link dropdown-toggle arrow-none waves-effect waves-light" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                <i class="fa fa-bell"></i>
                                <span class="badge badge-success a-animate-blink">3</span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right dropdown-arrow dropdown-menu-lg">
                                <!-- item-->
                                <div class="dropdown-item noti-title">
                                    <h5><span class="badge badge-success float-right">3</span>Notification</h5>
                                </div>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <div class="notify-icon bg-primary"><i class="mdi mdi-cart-outline"></i></div>
                                    <p class="notify-details"><b>Your order is placed</b><small class="text-secondary">Dummy text of the printing and typesetting industry.</small></p>
                                </a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <div class="notify-icon bg-success"><i class="mdi mdi-message"></i></div>
                                    <p class="notify-details"><b>New Message received</b><small class="text-secondary">You have 87 unread messages</small></p>
                                </a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <div class="notify-icon bg-warning"><i class="mdi mdi-martini"></i></div>
                                    <p class="notify-details"><b>Your item is shipped</b><small class="text-secondary">It is a long established fact that a reader will</small></p>
                                </a>
                                <div class="dropdown-divider"></div>
                                <!-- All-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    View All
                                </a>
                            </div>
                        </li>
                        <li class="list-inline-item dropdown notification-list">
                            <div class="dropdown notification-list nav-pro-img">
                                <a class="dropdown-toggle nav-link arrow-none waves-effect waves-light nav-user" data-toggle="dropdown" href="https://mannatthemes.com/aplomb/aplomb-cyan/horizontal/index.html#" role="button" aria-haspopup="false" aria-expanded="false">
                                    <img src="Content/avatars/user1.png" alt="user" class="rounded-circle">
                                </a>
                                <div class="dropdown-menu dropdown-menu-right profile-dropdown ">
                                    <!-- item-->
                                    <div class="dropdown-item noti-title">
                                        <h5>Bienvenido</h5>
                                    </div>
                                    <a class="dropdown-item" href="#"><i class="fa fa-id-card"></i> Perfil</a>
                                    <div class="dropdown-divider"></div>
                                    <a class="dropdown-item" href="#" onclick="document.location.href='@Url.Action("Logout", "Login")'"><i class="fa fa-share-square"></i> Salir</a>
                                </div>
                            </div>
                        </li>
                        <li class="menu-item list-inline-item">
                            <a class="navbar-toggle nav-link" id="mobileToggle">
                                <div class="lines">
                                    <span></span>
                                    <span></span>
                                    <span></span>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
                <div class="clearfix"></div>
            </div> 
        </div>

    </header>

    <!-- Wrapper -->
    <div class="wrapper" style="margin-top:-60px;">
        <div class="container-fluid">

            <div class="row" style="margin-top:0px;">
                <div class="col-sm-12">
                    <div class="page-title-box">
                        <div class="btn-group float-right">
                            <ol class="breadcrumb hide-phone p-0 m-0">
                                <li class="breadcrumb-item"><a href="#">Capex</a></li>
                                <li class="breadcrumb-item"><a href="#" onclick="document.location='@Url.Action("Index", "Login")'">Login</a></li>
                                <li class="breadcrumb-item active"><a href="#">Panel</a></li>
                            </ol>
                        </div>
                        <h6 class="page-title">Panel de Selección</h6>
                    </div>
                </div>
            </div>

            <!-- Tarjetas-->
            
            <div class="row">

                <div class="col-md-12 col-xl-3">
                    <div class="card m-b-30">
                        <div class="card-body">
                            <h6 class="card-title">Estadísticas</h6>
                            <p class="card-text">Módulo de representación gráfica de ejercicios oficiales e iniciativas en gestión.</p>
                            <a href="#" class="btn btn-primary"  onclick="document.location='@Url.Action("Index", "Estadistica")'" data-toggle="modal" data-target="">Ingresar</a>

                        </div>
                    </div>
                </div>

                
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal inmodal" id="ModalTipEjercioPlanificacion" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                    <div class="modal-header">
                        <h6 class="modal-title">Crear Ejercicio - <span id="PeriodoIniTit">2019</span></h6>
                    </div>
                    <div>
                        <span>
                            <input type="number" class="form-control EPfieldBox" id="caso_ann" style="display:none; width: 90%" placeholder="Ingresar Año" />
                        </span>
                    </div>
                    <div id="ContenedorIniciativasCasos" class="modal-body" style="margin-left:5px;width:490px; font-size:14px;">
                        <div style="height:130px;">
                            <div class="" style="margin-top:0px;">
                                <div class="row" style="height:50px;">
                                    <div class="col-md-12">
                                        <div style="float: left;width: 30px;margin-right: 20px;text-align: center;">
                                        </div>
                                        <h7 style="color:#333"><strong>Seleccione ejercicio de planificación</strong></h7>
                                        <div class="form-group mb-1 row">
                                            <div class="col-md-12">
                                                <select id="TipoIniciativa" class="form-control" onchange="FnRegistrarTipoIniciativa(this.value)" style="font-size:12px;">
                                                    <option value="" selected>Seleccionar..</option>
                                                    <option value="CB">Caso Base</option>
                                                    <option value="CD">Caso Desarrollo</option>
                                                    <option value="PP">Presupuesto</option>
                                                    <option value="EX">Extraordinario</option>
                                                </select>
                                            </div>
                                        </div>
                                        <h7 style="color:#333"><strong>Crear Nuevo /Importar Existente</strong></h7>
                                        <div class="form-group mb-1 row">
                                            <div class="col-md-12">
                                                <select id="TipoErcicio" class="form-control" onchange="FNRegistrarTipoEjercicio(this.value)"  style="font-size:12px;">
                                                    <option value="" selected>Seleccionar..</option>
                                                    <option value="CREAR">Crear Nueva Ficha</option>
                                                    <option value="IMPORTAR">Importar Ficha Existente</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                    </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-primary" onclick="FnProcesarSeleccionEP();">Ingresar</button>
                            <button type="button" class="btn btn-white" data-dismiss="modal" onclick="document.location.reload();">Cerrar</button>
                        </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Footer -->
    <footer class="footer">
        @Html.Partial("_Footer")
    </footer>
    <!-- End Footer -->

    <!-- jQuery  -->
    <script src="Scripts/jquery-3.3.1.min.js"></script>
    <script src="Scripts/popper.js"></script>
    <script src="Scripts/bootstrap.min.js"></script>
    <script src="Scripts/toastr.min.js"></script>
    <script src="Scripts/detect.js"></script>
    <script src="Scripts/fastclick.js"></script>
    <script src="Scripts/jquery.slimscroll.js"></script>
    <script src="Scripts/jquery.blockUI.js"></script>
    <script src="Scripts/jquery.nicescroll.js"></script>
    <script src="Scripts/jquery.scrollTo.min.js"></script>
    <script>
            // ----------------------------------------------
            //
            // SISTEMA          : CAPEX
            // CLIENTE          : 
            // MODULO           : PANEL
            // FECHA            : MAYO 2018
            // DESARROLLADO POR : PMO 360 SpA
            //
            // ----------------------------------------------
            // SECCION          : SELECCION OPCIONES
            // METODOS          : AUXILIARES Y REST

            $(document).ready(function () {
                //
                localStorage.setItem("CAPEX_PERIODO_EP","");
                localStorage.setItem("CAPEX_TIPO_INICIATIVA","");
                localStorage.setItem("CAPEX_CASO_INICIATIVA", "");
                localStorage.setItem("CAPEX_TIPO_EJERCICIO","");
                //
                $('.tooltip-demo').tooltip({
                    selector: "[data-toggle=tooltip]",
                    container: "body"
                });
                //NOTIFICACIONES
                toastr.options = {
                    "closeButton": true,
                    "debug": false,
                    "progressBar": true,
                    "positionClass": "toast-top-right",
                    "showDuration": "400",
                    "hideDuration": "1000",
                    "timeOut": "7000",
                    "extendedTimeOut": "1000",
                    "showEasing": "swing",
                    "hideEasing": "linear",
                    "showMethod": "fadeIn",
                    "hideMethod": "fadeOut"
                }
            });
            //
            FnRegistrarTipoIniciativa = function (tipo) {
                localStorage.setItem("CAPEX_TIPO_INICIATIVA", tipo);
            }
            //
        FNRegistrarTipoEjercicio = function (tipo) {
            var tipo_iniciativa = localStorage.getItem("CAPEX_TIPO_INICIATIVA");
            var ann_actual = (new Date).getFullYear();
                switch (tipo) {
                    case "CREAR":
                        /*
                         * REGLA DE NEGOCIO 0 
                         * RN000
                         */
                        if (tipo_iniciativa == "PP") {
                            var ann_siguiente = parseInt(ann_actual) + 1
                            $("#PeriodoIniTit").html(ann_siguiente);
                            localStorage.setItem("CAPEX_PERIODO_EP", ann_siguiente);
                        }
                        else {
                            $("#PeriodoIniTit").html(ann_actual);
                            localStorage.setItem("CAPEX_PERIODO_EP", ann_actual);
                        }
                        localStorage.setItem("CAPEX_TIPO_EJERCICIO", tipo);
                        break;
                    case "IMPORTAR":
                        localStorage.setItem("CAPEX_PERIODO_EP", ann_actual);
                        localStorage.setItem("CAPEX_TIPO_EJERCICIO", tipo);
                        break;
                }
                return;
            }
            //
            FnProcesarSeleccionEP = function () {
                var periodo = localStorage.getItem("CAPEX_PERIODO_EP");
                var tipo_ini = localStorage.getItem("CAPEX_TIPO_INICIATIVA");
                var tipo_eje = localStorage.getItem("CAPEX_TIPO_EJERCICIO");

                if (tipo_ini == "" || tipo_ini == null) {
                    toastr.error('Debe seleccionar un tipo de iniciativa.');
                    return false;
                }
                else if (tipo_eje == "" || tipo_eje == null) {
                    toastr.error('Debe seleccionar un tipo de ejercicio.');
                    return false;
                }
                document.location.href = '@Url.Action("Index", "Planificacion")';
                return;
            }
    </script>

</body>
</html>
